Subject: Strange error: Invalid option `-undef'
From: Andreas Bergstrøm <[email-masked]>
To: Cygwin mailing list <[email-masked]>
Date: Wed, 01 Mar 2000 17:59:01 +0100

I am getting a strange error when I try to compile a small program that I made,
the source is as follows:

// codepagechecker.cpp
// [insert GPL]

#include <iostream.h>

void main(void)
{
  unsigned char Tegn1;

	cout << "Please enter the character you wish to use : ";
	cin >> Tegn1;
	cout << "\nYou entered: " << Tegn1 << ", which is decimal " << (int)Tegn1;
	cout <<  " and hexadecimal " << hex << (int)Tegn1 << ".";
}

Here's all the output bash and cpp provided me with:

BASH.EXE-2.02$ g++ codepagechecker.cpp -o codepagechecker.exe
cpp: Invalid option `-undef'

I never entered the option -undef anywhere, so I would be very gratefull
if somebody told me what I, or Cygwin, is doing wrong.

Thanks in advance.

May you live long and spamless,

Andreas Bergstrøm

-- 
HTTP://www.spambuster.dhs.org/
Fight Spam! Join EuroCAUCE! == http://www.euro.cauce.org/
Y2K bug? free software at: http://bcordero.home.sprynet.com/y2kwa.htm
People who love sausage and respect the law should never watch either of them being made.

--
Want to unsubscribe from this list?
Send a message to [email-masked]